Bullet Collision Detection & Physics Library: btSubsimplexConvexCast Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
btSubsimplexConvexCast Class Reference

btSubsimplexConvexCast implements Gino van den Bergens' paper "Ray Casting against bteral Convex Objects with Application to Continuous Collision Detection" GJK based Ray Cast, optimized version Objects should not start in overlap, otherwise results are not defined. More...

`#include <btSubSimplexConvexCast.h>`

Inheritance diagram for btSubsimplexConvexCast:
[legend]
Collaboration diagram for btSubsimplexConvexCast:
[legend]

## Public Member Functions
| btSubsimplexConvexCast (const btConvexShape *shapeA, const btConvexShape *shapeB, btSimplexSolverInterface *simplexSolver)
virtual bool | calcTimeOfImpact (const btTransform &fromA, const btTransform &toA, const btTransform &fromB, const btTransform &toB, CastResult &result)
| SimsimplexConvexCast calculateTimeOfImpact calculates the time of impact+normal for the linear cast (sweep) between two moving objects.
Public Member Functions inherited from btConvexCast
virtual | ~btConvexCast ()

## Private Attributes
btSimplexSolverInterface * | m_simplexSolver
const btConvexShape * | m_convexA
const btConvexShape * | m_convexB

## Detailed Description

btSubsimplexConvexCast implements Gino van den Bergens' paper "Ray Casting against bteral Convex Objects with Application to Continuous Collision Detection" GJK based Ray Cast, optimized version Objects should not start in overlap, otherwise results are not defined.

Definition at line 27 of file btSubSimplexConvexCast.h.

## Constructor & Destructor Documentation

## ◆ btSubsimplexConvexCast()

btSubsimplexConvexCast::btSubsimplexConvexCast | ( | const btConvexShape * | shapeA,
|  | const btConvexShape * | shapeB,
|  | btSimplexSolverInterface * | simplexSolver )

Definition at line 24 of file btSubSimplexConvexCast.cpp.

## Member Function Documentation

## ◆ calcTimeOfImpact()

bool btSubsimplexConvexCast::calcTimeOfImpact | ( | const btTransform & | fromA,
|  | const btTransform & | toA,
|  | const btTransform & | fromB,
|  | const btTransform & | toB,
|  | CastResult & | result )
| virtual

SimsimplexConvexCast calculateTimeOfImpact calculates the time of impact+normal for the linear cast (sweep) between two moving objects.

Precondition is that objects should not penetration/overlap at the start from the interval. Overlap can be tested using btGjkPairDetector.

take relative motion

Just like regular GJK only add the vertex if it isn't already (close) to current vertex, it would lead to divisions by zero and NaN etc.

Implements btConvexCast.

Definition at line 32 of file btSubSimplexConvexCast.cpp.

## Member Data Documentation

## ◆ m_convexA

const btConvexShape* btSubsimplexConvexCast::m_convexA
| private

Definition at line 30 of file btSubSimplexConvexCast.h.

## ◆ m_convexB

const btConvexShape* btSubsimplexConvexCast::m_convexB
| private

Definition at line 31 of file btSubSimplexConvexCast.h.

## ◆ m_simplexSolver

btSimplexSolverInterface* btSubsimplexConvexCast::m_simplexSolver
| private

Definition at line 29 of file btSubSimplexConvexCast.h.

The documentation for this class was generated from the following files:

- btSubSimplexConvexCast.h
- btSubSimplexConvexCast.cpp